Package org.jcsp.net

# Class LinkFactory

java.lang.Object
org.jcsp.net.LinkFactory

public class LinkFactory extends Object

This class does not need to be used by normal JCSP users.

The `Builder` inner class needs to be sub-classed by JCSP.NET protocol implementations.

Author:
  Quickstone Technologies Limited

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LinkFactory.Builder`
An abstract inner class which should be implemented by comunication protocol implementations.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`